Subject: Re: [RFC PATCH v3 3/7] t/clar: fix whitespace errors

From: Junio C Hamano <[email-masked]>
Date: Tue, 13 Aug 2024 13:42:08 -0700

Junio C Hamano <[email-masked]> writes:

> Patrick Steinhardt <[email-masked]> writes:
>
>> Fix whitespace errors in the clar that make git-apply(1) unhappy. This
>> has been cherry-picked from the upstream pull request at [1].
>>
>> [1]: https://github.com/clar-test/clar/pull/97
>>
>> Signed-off-by: Patrick Steinhardt <[email-masked]>
>> ---
>>  t/unit-tests/clar/clar/sandbox.h  | 5 ++---
>>  t/unit-tests/clar/generate.py     | 1 -
>>  t/unit-tests/clar/test/.gitignore | 1 -
>>  3 files changed, 2 insertions(+), 5 deletions(-)
>
> A funny thing about this step is that the copy I carried for the
> past few days was an empty patch, because out of habit I use the
> "--whitespace=fix" option while running "git am".  As that fixes
> the whitespace breakage this step addresses while applying the
> previous step, this one becomes empty.
>
> I'll requeue these patches with --whitespace=warn instead.

Oops, it turns out that this is insufficient.  I'll add the
following as a separate patch immediately after this step.

Thanks.

 t/unit-tests/clar/clar/fs.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git c/t/unit-tests/clar/clar/fs.h w/t/unit-tests/clar/clar/fs.h
index a6eda5e5dc..3e39890bd3 100644
--- c/t/unit-tests/clar/clar/fs.h
+++ w/t/unit-tests/clar/clar/fs.h
@@ -146,7 +146,7 @@ fs_rm_wait(WCHAR *_wpath)
 			ERROR_PATH_NOT_FOUND == last_error)
 			return 0;
 
-		Sleep(RM_RETRY_DELAY * retries * retries);	
+		Sleep(RM_RETRY_DELAY * retries * retries);
 	}
 	while (retries++ <= RM_RETRY_COUNT);